%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           openstack-tripleo-heat-templates
Summary:        Heat templates for TripleO
Version:        7.0.12
Release:        17%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://wiki.openstack.org/wiki/TripleO
Source0:        https://tarballs.openstack.org/tripleo-heat-templates/tripleo-heat-templates-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=7.0.12
Patch0001: 0001-OSP-Only-Add-the-puppet-pacemaker-templates-to-the-d.patch
Patch0002: 0002-Remove-the-default-ControllerConfig.patch
Patch0003: 0003-downstream-only-Keep-existing-Compute-role-hostname-.patch
Patch0004: 0004-Downstream-only-Merge-puppet-and-config-resources.patch
Patch0005: 0005-Downstream-only-Disable-Neutron-containers-for-OSP12.patch
Patch0006: 0006-Downstream-only-Disable-Cinder-HA-containers-for-OSP.patch
Patch0007: 0007-Default-supported-services-to-docker.patch
Patch0008: 0008-Downstream-only-Migrates-storage-environment.yaml-to.patch
Patch0009: 0009-Remove-hardcoded-docker-image-names.patch
Patch0010: 0010-Downstream-only-Default-plugins-list-for-Sahara.patch
Patch0011: 0011-Disable-containerised-plugins-we-don-t-ship.patch
Patch0012: 0012-Disabling-lbaas-and-fwaas-plugins-we-don-t-ship.patch
Patch0013: 0013-Override-default-fluentd-service-implementation.patch
Patch0014: 0014-Fix-copy-paste-typo.patch
Patch0015: 0015-downstream-only-environments-document-OSP-deployment.patch
Patch0016: 0016-downstream-only-Keep-existing-Compute-hostname.patch
Patch0017: 0017-Add-access-to-var-run-openvswitch-from-collectd.patch
Patch0018: 0018-neutron-Call-destroy-patch-ports-before-starting-ovs.patch
Patch0019: 0019-downstream-only-Clean-up-Ceph-OSD-product-key.patch
Patch0020: 0020-downstream-only-Keep-existing-Compute-hostname.patch
Patch0021: 0021-Reduce-verbosity-during-mysql-bootstrap.patch
Patch0022: 0022-Re-enable-LBaaSv2-Horizon-plugin.patch
Patch0023: 0023-Don-t-use-crudini-to-get-rhn-server.patch
Patch0024: 0024-Honor-role.name-ExtraConfig-with-deprecated-params.patch
Patch0025: 0025-gnocchi-add-missing-var-lib-gnocchi.patch
Patch0026: 0026-Use-str_replace-for-known_hosts.patch
Patch0027: 0027-Resource-name-correction.patch
Patch0028: 0028-Allowing-Non-IP-Traffic-in-L2-and-L3-domains.patch
Patch0029: 0029-Expose-params-to-enable-panko-expirer-cron.patch
Patch0030: 0030-Explicitly-set-nova-neutron-ceilometer-host-to-expec.patch
Patch0031: 0031-Change-ovs-user-and-fix-permissions-on-ovs-upgrade.patch
Patch0032: 0032-Telemetry-services-need-to-access-to-Storage.patch
Patch0033: 0033-Create-var-log-containers-on-Swift-storage-only-node.patch
Patch0034: 0034-Fix-Cinder-s-default-db-purge-cron-settings.patch
Patch0035: 0035-Added-missing-pki-volume-for-custom-CA.patch
Patch0036: 0036-Modify-libvirt-port-range-for-live-migration.patch
Patch0037: 0037-Improve-nova-ironic-cellv2-discovery.patch
Patch0038: 0038-Add-support-of-netapp-configuration-for-glance-in-TH.patch
Patch0039: 0039-Set-Ceph-pools-rule_name-to-replicated_rule.patch
Patch0040: 0040-Set-configure_qemu-to-true-to-get-qemu-port-range-ap.patch
Patch0041: 0041-OvS2.9-Changes-for-OvS-DPDK-deployment.patch
Patch0042: 0042-Increase-the-step-for-gnocchi_db_sync.patch
Patch0043: 0043-Set-live_migration_inbound_addr-for-ssh-transport.patch
Patch0044: 0044-Pike-only-ManilaBackendGeneric-nooped-to-avoid-depre.patch
Patch0045: 0045-Clean-up-env-files-for-Cinder-s-Netapp-backend.patch
Patch0046: 0046-Do-not-target-Redis-over-TLS-when-using-HA-Redis-pro.patch
Patch0047: 0047-Convert-resource_name-to-number.patch
Patch0048: 0048-Use-fqdn-for-live_migration_inbound_addr.patch
Patch0049: 0049-Correct-Cinder-NetApp-backend-name-parameter-mapping.patch
Patch0050: 0050-Add-role-parameter-for-rx-tx-virtio-net-queue-size.patch
Patch0051: 0051-Fix-PublicVirtualFixedIPs-in-envs.patch
Patch0052: 0052-Improve-nova-statedir-ownership-logic.patch
Patch0053: 0053-DOWNSTREAM-ONLY-Allow-a-containerized-logrotate-to-a.patch
Patch0054: 0054-Revert-DOWNSTREAM-ONLY-Allow-a-containerized-logrota.patch
Patch0055: 0055-Run-online-data-migrations.patch
Patch0056: 0056-Queens-Pike-Run-online-data-migrations-on-converge-a.patch
Patch0057: 0057-Do-not-disable-ipv6-on-loopback-interface-for-epmd.patch
Patch0058: 0058-Ocata-Pike-Pass-DeployIdentifier-in-upgrade-tasks.patch
Patch0059: 0059-Add-posibilities-to-set-tunnel_csum-in-ovs-agent.patch
Patch0060: 0060-Allow-custom-bip-CIDR-for-docker-options.patch
Patch0061: 0061-Make-SSH_OPTIONS-overrideable.patch
Patch0062: 0062-Allow-custom-time-constraints-to-rotate-logs.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-d2to1
BuildRequires:  python-pbr

Requires:       PyYAML
Requires:       python-jinja2
Requires:       python-six
Requires:       openstack-tripleo-common >= 7.1.0

%description
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.

%prep
%setup -q -n tripleo-heat-templates-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1
%patch0039 -p1
%patch0040 -p1
%patch0041 -p1
%patch0042 -p1
%patch0043 -p1
%patch0044 -p1
%patch0045 -p1
%patch0046 -p1
%patch0047 -p1
%patch0048 -p1
%patch0049 -p1
%patch0050 -p1
%patch0051 -p1
%patch0052 -p1
%patch0053 -p1
%patch0054 -p1
%patch0055 -p1
%patch0056 -p1
%patch0057 -p1
%patch0058 -p1
%patch0059 -p1
%patch0060 -p1
%patch0061 -p1
%patch0062 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_datadir}/%{name}
cp -ar *.yaml %{buildroot}/%{_datadir}/%{name}
cp -ar puppet %{buildroot}/%{_datadir}/%{name}
cp -ar common %{buildroot}/%{_datadir}/%{name}
cp -ar docker %{buildroot}/%{_datadir}/%{name}
if [ -d docker_config_scripts ]; then
  cp -ar docker_config_scripts %{buildroot}/%{_datadir}/%{name}
fi
cp -ar firstboot %{buildroot}/%{_datadir}/%{name}
cp -ar extraconfig %{buildroot}/%{_datadir}/%{name}
cp -ar environments %{buildroot}/%{_datadir}/%{name}
cp -ar network %{buildroot}/%{_datadir}/%{name}
cp -ar validation-scripts %{buildroot}/%{_datadir}/%{name}
cp -ar deployed-server %{buildroot}/%{_datadir}/%{name}
cp -ar ci %{buildroot}/%{_datadir}/%{name}
cp -ar plan-samples %{buildroot}/%{_datadir}/%{name}
cp -ar roles %{buildroot}/%{_datadir}/%{name}
cp -ar scripts %{buildroot}/%{_datadir}/%{name}
cp -ar tools %{buildroot}/%{_datadir}/%{name}
if [ -d examples ]; then
  rm -rf examples
fi

if [ -d %{buildroot}/%{python2_sitelib}/tripleo_heat_merge ]; then
  rm -rf %{buildroot}/%{python2_sitelib}/tripleo_heat_merge
  rm -f %{buildroot}/%{_bindir}/tripleo-heat-merge
fi

%files
%doc README*
%license LICENSE
%{python2_sitelib}/tripleo_heat_templates-*.egg-info
%{_datadir}/%{name}

%changelog
* Mon Nov 19 2018 Harry Rybacki <hrybacki@redhat.com> 7.0.12-17
- Allow custom time constraints to rotate logs

* Thu Nov 08 2018 Kamil Sambor <ksambor@redhat.com> 7.0.12-16
- Make $SSH_OPTIONS overrideable (rhbz#1643994)
- Allow custom --bip CIDR for docker options (rhbz#1602786)
- Add posibilities to set tunnel_csum in ovs agent (rhbz#1626230)

* Fri Oct 19 2018 Jose Luis Franco Arza <jfrancoa@redhat.com> 7.0.12-15
- [Ocata/Pike] Pass DeployIdentifier in upgrade tasks. (rhbz#1634034)

* Mon Oct 15 2018 Michele Baldessari <michele@acksyn.org> 7.0.12-14
- Do not disable ipv6 on loopback interface for epmd (rhbz#1631352)

* Wed Oct 03 2018 Jiri Stransky <jistr@redhat.com> 7.0.12-13
- [Queens/Pike] Run online data migrations on converge, allow disabling them (rhbz#1627680)
- Run online data migrations (rhbz#1627680)
- Revert "[DOWNSTREAM-ONLY] Allow a containerized logrotate to access docker" (rhbz#1631402)
- [DOWNSTREAM-ONLY] Allow a containerized logrotate to access docker (rhbz#1631402)

* Fri Sep 28 2018 Martin Schuppert <mschuppert@redhat.com> 7.0.12-12
- Improve nova statedir ownership logic (rhbz#1608913)

* Sun Sep 16 2018 Bob Fournier <bfournie@redhat.com> 7.0.12-11
- Fix PublicVirtualFixedIPs in envs (rhbz#1618374)
- Add role parameter for rx/tx virtio-net queue size (rhbz#1623553)

* Tue Aug 21 2018 Alan Bishop <abishop@redhat.com> 7.0.12-10
- Correct Cinder NetApp backend name parameter mapping (rhbz#1599759)

* Thu Aug 09 2018 Oliver Walsh <owalsh@redhat.com> 7.0.12-9
- Use fqdn for live_migration_inbound_addr (rhbz#1614451)
- Convert resource_name to number (rhbz#1572677)

* Mon Aug 06 2018 Damien Ciabrini <dciabrin@redhat.com> 7.0.12-8
- Do not target Redis over TLS when using HA Redis profile (rhbz#1608450)

* Fri Aug 03 2018 Alan Bishop <abishop@redhat.com> 7.0.12-7
- Clean up env files for Cinder's Netapp backend (rhbz#1585362)

* Fri Aug 03 2018 Jose Luis Franco Arza <jfrancoa@redhat.com> 7.0.12-6
- [Pike only] ManilaBackendGeneric nooped to avoid deprecated error. (rhbz#1600038)

* Tue Jul 24 2018 Martin Schuppert <mschuppert@redhat.com> 7.0.12-5
- Set live_migration_inbound_addr for ssh transport (rhbz#1596760)

* Mon Jul 16 2018 Carlos Camacho <ccamacho@redhat.com> 7.0.12-4
- Increase the step for gnocchi_db_sync (rhbz#1601348)

* Wed Jul 11 2018 Saravanan KR <skramaja@redhat.com> 7.0.12-3
- OvS2.9 Changes for OvS-DPDK deployment (rhbz#1597972)

* Mon Jul 09 2018 Martin Schuppert <mschuppert@redhat.com> 7.0.12-2
- Set configure_qemu to true to get qemu port range applied (rhbz#1597313)
- Set Ceph pools rule_name to replicated_rule (rhbz#1586155)

* Tue Jun 19 2018 Steve Linabery <slinaber@redhat.com> 7.0.12-1
- Update to 7.0.12
- Add support of netapp configuration for glance in THT
- Improve nova-ironic cellv2 discovery
- Modify libvirt port range for live-migration
- Added missing pki volume for custom CA.
- Fix Cinder's default db purge cron settings
- Create /var/log/containers on Swift storage-only nodes
- Telemetry services need to access to Storage
- Change ovs user and fix permissions on ovs upgrade
- Explicitly set nova/neutron/ceilometer host to expected fqdn
- Expose params to enable panko expirer cron
- Allowing Non-IP Traffic in L2 and L3 domains
- Resource name correction

* Tue Jun 12 2018 Alex Schultz <aschultz@redhat.com> 7.0.9-19
- Use str_replace for known_hosts (rhbz#1590368)

* Thu May 31 2018 Mehdi Abaakouk <sileht@sileht.net> 7.0.9-18
- gnocchi: add missing /var/lib/gnocchi (rhbz#1559920)
- Honor {{role.name}}ExtraConfig with deprecated params (rhbz#1534442)
- Don't use crudini to get rhn server (rhbz#1579197)

* Wed May 16 2018 Harry Rybacki <hrybacki@redhat.com> 7.0.9-17
- Refresh keystone after deployment (rhbz#1579023)

* Wed May 09 2018 Carlos Goncalves <cgoncalves@redhat.com> 7.0.9-16
- Re-enable LBaaSv2 Horizon plugin (rhbz#1573808)
- Add trunk service plugin to OVN environment files (rhbz#1537606)

* Mon Apr 30 2018 Michele Baldessari <michele@acksyn.org> 7.0.9-15
- Reduce verbosity during mysql bootstrap (rhbz#1571348)

* Fri Apr 27 2018 mandreou <marios@redhat.com> 7.0.9-14
- Remove the os-net-config element config.json template
- Add validation task in docker services [Nova]

* Fri Apr 27 2018 Jose Luis Franco Arza <jfrancoa@redhat.com> 7.0.9-13
- Add validation task in docker services [Nova] (rhbz#1470033)
- Add validation task in docker services [Sahara] (rhbz#1470033)
- Add validation task in docker services [Mixed-1] (rhbz#1470033)
- Add validation task in docker services [Octavia] (rhbz#1470033)
- Add validation task in docker services [Heat] (rhbz#1470033)
- [downstream only] Keep existing Compute hostname. (rhbz#1571646)

* Wed Apr 25 2018 Alan Bishop <abishop@redhat.com> 7.0.9-12
- [downstream-only] Clean up Ceph OSD product key (rhbz#1571435)

* Tue Apr 10 2018 Jakub Libosvar <libosvar@redhat.com> 7.0.9-11
- neutron: Call destroy-patch-ports before starting ovs-agent (rhbz#1511988)

* Fri Apr 06 2018 Michele Baldessari <michele@acksyn.org> 7.0.9-10
- Fix gnocchi-upgrade Table <..> already exists errors (rhbz#1556720)

* Wed Apr 04 2018 Alan Bishop <abishop@redhat.com> 7.0.9-9
- Add support for Dell EMC VNX Cinder Backend (rhbz#1547146)
- [CVE-2018-1000115] memcached: restrict to TCP & internal_api network (rhbz#1551835)

* Wed Mar 21 2018 Mike Burns <mburns@redhat.com> 7.0.9-8
- Add access to /var/run/openvswitch from collectd (rhbz#1558639)

* Tue Mar 13 2018 Jiri Stransky <jistr@redhat.com> 7.0.9-7
- [pike] Handle update path for swift log directories (rhbz#1542936)

* Thu Mar 08 2018 Michele Baldessari <michele@acksyn.org> 7.0.9-6
- Make the minor update for docker idempotent (rhbz#1542936)
- Improve the minor update of the docker service (rhbz#1542936)
- Add --live-restore to the docker_options in puppet/services/docker.yaml (rhbz#1542936)

* Wed Mar 07 2018 Michele Baldessari <michele@acksyn.org> 7.0.9-5
- Fix a typo in docker_puppet_apply.sh (rhbz#1552466)

* Tue Mar 06 2018 Michele Baldessari <michele@acksyn.org> 7.0.9-4
- swift_rsync: don't bind mount /run (rhbz#1546807)

* Fri Feb 23 2018 Alan Bishop <abishop@redhat.com> 7.0.9-3
- Unify the Cinder HA and non-HA docker configurations (rhbz#1543641)

* Thu Feb 22 2018 Alex Schultz <aschultz@redhat.com> 7.0.9-2
- Do not use the 3rd argument of yaql groupBy (rhbz#1547955)

* Fri Feb 16 2018 Thierry Vignaud <tvignaud@redhat.com> 7.0.9-1
- Update to 7.0.9

* Wed Feb 07 2018 Alex Schultz <aschultz@redhat.com> 7.0.3-24
- [downstream only] Keep existing Compute hostname (rhbz#1542537)
- Correct indentation of docker_puppet_apply.sh run (rhbz#1540565)
- Search for containers within stopped containers. (rhbz#1523707)
- Use docker_config_scripts for puppet apply (rhbz#1538875)
- Wait for rabbitmq_ready tag (rhbz#1538875)
- Run rabbitmq_policy,rabbitmq_user with pacemaker (rhbz#1538875)
- Add proper debug switch on init_bundles (rhbz#1538875)
- Add modulepath option when applying puppet inside docker. (rhbz#1523272)
- Redis replication does not work with TLS (rhbz#1538875)
- [downstream-only] environments: document OSP deployments (rhbz#1537725

* Thu Jan 18 2018 Martin Mágr <mmagr@redhat.com> 7.0.3-22
- Fix copy-paste typo (rhbz#1512920)

* Fri Jan 12 2018 Martin Mágr <mmagr@redhat.com> 7.0.3-21
- Override default fluentd service implementation (rhbz#1512920)

* Tue Jan 09 2018 Jon Schlueter <jschluet@redhat.com> 7.0.3-20
- Passes NodeDataLookup to ceph-ansible workflow (rhbz#1520004)
- Add CephAnsiblePlaybookVerbosity parameter to overcloud-ceph-ansible (rhbz#1520004)
- Make CephPools override properties of other pools (rhbz#1520467)
- Make CephPools type json instead of list (rhbz#1516389)
- OVN: Provide the option to define NeutronBridgeMappings as a role parameter (rhbz#1510879)

* Thu Dec 14 2017 Harry Rybacki <hrybacki@redhat.com> 7.0.3-19
- Add missing keystone_domain_config (rhbz#1519057)

* Thu Nov 30 2017 Mike Burns <mburns@redhat.com> 7.0.3-18
- Add ComputeAlt role and environment (rhbz#1513109)

* Tue Nov 28 2017 Oliver Walsh <owalsh@redhat.com> 7.0.3-17
- docker/internal TLS: spawn extra container for ec2api TLS proxy (rhbz#1513437)
- Enable TLS for ec2api metadata service (rhbz#1513437)
- Enable TLS for ec2api service (rhbz#1513437)

* Tue Nov 28 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-16
- Ensure os-net-config conditional for upgrade does not fail. (rhbz#1516890)

* Tue Nov 28 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-15
- Fix wrong logic for triggering os-net-config special handling. (rhbz#1516867)

* Mon Nov 27 2017 Oliver Walsh <owalsh@redhat.com> 7.0.3-14
- Re-enable libvirt TLS with SCRAM SHA-1 auth (rhbz#1513440)

* Fri Nov 24 2017 Martin André <m.andre@redhat.com> 7.0.3-13
- Add DeployIdentifier to Nova discover hosts container (rhbz#1516429)
- Fix glance config generation when using NFS (rhbz#1514059)

* Wed Nov 22 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-12
- Stop the object-expirer service before removing swift-proxy (rhbz#1470041)
- Add condition to os-net-config run during upgrade.
- Do not set cluster in maintenance mode during split stack upgrade (rhbz#1503756)
- Fix all outputs|failed and outputs is defined (rhbz#1516204)

* Tue Nov 21 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-11
- Remove rsync from xinetd when upgrading to containerized deployment (rhbz#1493298)
- Format SwiftRawDisks before attempting to mount (rhbz#1508476)
- Update ansible before the ansible upgrade tasks (rhbz#1504274)
- Set metric procssing delay for metricd (rhbz#1414271)
- Set host name explicitly for telemetry (rhbz#1483456)

* Mon Nov 20 2017 Alan Bishop <abishop@redhat.com> 7.0.3-10
- Update Iscsid puppet_config to reset host's IQN (rhbz#1417645)
- Fix cinder-{backup,volume} container with pacemaker (rhbz#1417645)

* Fri Nov 17 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-9
- Disabling lbaas and fwaas plugins we don't ship (rhbz#1514412)

* Thu Nov 16 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-8
- Enable ntp iburst (rhbz#1506683)

* Thu Nov 16 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-7
- Fix rights to local_settings.d for dockerized Horizon (rhbz#1503804)
- Fix /etc/openstack-dashboard/ permissions for access to *policy.json (rhbz#1503806)
- Disable containerised plugins we don't ship (rhbz#1497284)
- Enable horizon plugins by default in docker (rhbz#1497284)
- Configure docker0 bridge address (rhbz#1503021)

* Tue Nov 14 2017 Oliver Walsh <owalsh@redhat.com> 7.0.3-6
- Update default cell_v2 cell when it already exists (rhbz#1477770)
- Disable live migration over TLS (rhbz#1510216)
- Refactor cellv2 host discovery logic to avoid races (rhbz#1480326)
- Set bind mount propegatation to shared for /var/lib/nova. (rhbz#1503214)
- Only mount selinux sysfs in nova_libvirt container (rhbz#1495599)
- nova-placement: switch auth_uri to keystone versionless endpoint (rhbz#1434931)

* Tue Nov 14 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-5
- [Downstream-only] Default plugins list for Sahara (rhbz#1351996)

* Tue Nov 14 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-4
- Add --detailed-exitcodes when running puppet via ansible (rhbz#1501852)

* Tue Nov 14 2017 Thierry Vignaud <tvignaud@redhat.com> 7.0.3-4
- [Downstream only] Migrates storage-environment.yaml to ceph-ansible (rhbz#1502862)
- [Downstream only] - Disable iscsid and multipathd containers for OSP12 (rhbz#1484467)
- [downstream only] Keep existing Compute role hostname in OSP11
- [OSP Only] Add the puppet-pacemaker templates to the default OC deployment in THT (rhbz#1406869)
- Fix iptables rules override bug in clustercheck docker service
- mysql: Only set certificate specs if TLS everywhere is enabled
- Update CephPools format in the docker templates to fit ceph-ansible

* Fri Nov 10 2017 Jon Schlueter <jschluet@redhat.com> 7.0.3-2
- Remove hardcoded docker image names (rhbz#1509324)
- [Downstream only] Migrates storage-environment.yaml to ceph-ansible (rhbz#1502862)
- Fix standalone ControllerOpenstack vars (rhbz#1500544)
- Enable Cinder as a backend for Glance (rhbz#1293435)
- Set ipc=host for services attaching encrypted volumes (rhbz#1487920)
- [Downstream only] - Disable iscsid and multipathd containers for OSP12 (rhbz#1484467)
- Default supported services to docker
- [Downstream only] - Disable Cinder HA containers for OSP12
- [Downstream only] - Disable Neutron containers for OSP12
- [Downstream only] - Merge puppet and config resources. (rhbz#1450403)
- [downstream only] Keep existing Compute role hostname in OSP11
- Remove the default ControllerConfig
- [OSP Only] Add the puppet-pacemaker templates to the default OC deployment in THT (rhbz#1406869)

* Fri Nov 03 2017 RDO <dev@lists.rdoproject.org> 7.0.3-1
- Update to 7.0.3

* Tue Oct 10 2017 rdo-trunk <javier.pena@redhat.com> 7.0.2-1
- Update to 7.0.2

* Wed Oct 04 2017 rdo-trunk <javier.pena@redhat.com> 7.0.1-1
- Update to 7.0.1

* Thu Sep 14 2017 rdo-trunk <javier.pena@redhat.com> 7.0.0-1
- Update to 7.0.0

* Sun Sep 10 2017 rdo-trunk <javier.pena@redhat.com> 7.0.0-0.2.0rc1
- Update to 7.0.0.0rc2

* Fri Aug 25 2017 Alfredo Moralejo <amoralej@redhat.com> 7.0.0-0.1.0rc1
- Update to 7.0.0.0rc1

